<template>
  <main>
    <div class="row mt-4">
      <div class="col-lg-8">
        <a
          aria-hidden="true"
          class="d-block mx-auto text-center"
          :href="`${$t('baseurl')}b/`"
        >
          <img
            :src="`${$t('baseurl')}img/framabookin1.jpg`"
            alt=""
            class="ombre"
          />
        </a>
        <p class="d-flex justify-content-around my-5">
          <b-button
            :href="`${$t('baseurl')}b/`"
            size="lg"
            variant="danger"
          >
            <i class="fas fa-book-reader fa-lg d-block mx-auto"></i>
            <span v-html="$t('visit.btn')"></span>
          </b-button>
          <b-button
            v-b-popover.hover.focus.top="$t('add2app.popover')"
            href="opds://framabookin.org/b/opds/"
            size="lg"
            :title="$t('add2app.title')"
            variant="warning"
          >
            <i class="fas fa-plus-square fa-lg d-block mx-auto"></i>
            <span v-html="$t('add2app.btn')"></span>
          </b-button>
        </p>

        <b-alert
          show
          variant="warning col-sm-8 my-4 mx-auto"
        >
          <b-badge
            variant="warning"
            v-html="$t('warning.label')"
          />
          <div v-html="$t('warning.md')"></div>
        </b-alert>
      </div>
      <div
        id="howitworks"
        class="col-lg-4"
      >
        <h2 v-html="$t('what.title')"></h2>
        <div v-html="$t('what.md')"></div>

        <h2 v-html="$t('goal.title')"></h2>
        <div v-html="$t('goal.md')"></div>
      </div>
    </div>

    <hr role="presentation" />

    <div class="row mt-4">
      <!-- Help -->
      <div class="col-md-4">
        <h2 v-html="$t('help.title')"></h2>
        <i class="fas fa-question-circle fa-3x fc-g7 d-block text-center mb-3"></i>
        <div v-html="$t('help.md')"></div>
      </div>

      <!-- About software -->
      <div class="col-md-4">
        <h2 v-html="$t('software.title')"></h2>
        <i class="fas fa-cloud fa-3x fc-g7 d-block text-center mb-3"></i>
        <div v-html="$t('software.md')"></div>
      </div>

      <!-- Garden -->
      <div class="col-md-4">
        <h2 v-html="$t('garden.title')"></h2>
        <i class="fas fa-leaf fa-3x fc-g7 d-block text-center mb-3"></i>
        <div v-html="$t('garden.md')"></div>
        <b-button
          variant="outline-success"
          :href="$t('cloud.bookin')"
        >
          <i class="fas fa-leaf"></i> framacloud.org
        </b-button>
      </div>
    </div>

    <!-- FBReader -->
    <b-modal
      id="FBReader"
      v-model="modal.fbreader"
      button-size="sm"
      :cancel-title-html="$t('txt.close')"
      cancel-variant="light"
      ok-variant=" d-none"
      size="lg"
      :title="$t('modals.fbreader.title')"
    >
      <div v-html="$t('modals.fbreader.md')"></div>
    </b-modal>
    <!-- Aldiko -->
    <b-modal
      id="Aldiko"
      v-model="modal.aldiko"
      button-size="sm"
      :cancel-title-html="$t('txt.close')"
      cancel-variant="light"
      ok-variant=" d-none"
      size="lg"
      :title="$t('modals.aldiko.title')"
    >
      <div v-html="$t('modals.aldiko.md')"></div>
    </b-modal>
    <!-- Bookeen -->
    <b-modal
      id="Bookeen"
      v-model="modal.bookeen"
      button-size="sm"
      :cancel-title-html="$t('txt.close')"
      cancel-variant="light"
      ok-variant=" d-none"
      size="lg"
      :title="$t('modals.bookeen.title')"
    >
      <div v-html="$t('modals.bookeen.md')"></div>
    </b-modal>
  </main>
</template>

<script>
export default {
  data() {
    return {
      modal: {
        fbreader: false,
        aldiko: false,
        bookeen: false,
      },
    };
  },

  mounted() {
    window.onhashchange = () => {
      switch (window.location.hash) {
        case '#FBReader':
          Object.assign(this.modal, {
            fbreader: true,
            aldiko: false,
            bookeen: false,
          });
          break;

        case '#Aldiko':
          Object.assign(this.modal, {
            fbreader: false,
            aldiko: true,
            bookeen: false,
          });
          break;

        case '#Bookeen':
          Object.assign(this.modal, {
            fbreader: false,
            aldiko: false,
            bookeen: true,
          });
          break;

        default:
          Object.assign(this.modal, {
            fbreader: false,
            aldiko: false,
            bookeen: false,
          });
          break;
      }
    };
  },
};
</script>

<style lang="scss">
#home .modal img {
  display: block;
  width: 75%;
  margin: 20px auto;
  box-shadow: 0px 2px 6px rgba(50, 50, 50, 0.4);
}
</style>
